terraform {
  ## This is required by tflint (see `validate_activemq`)
  ## This module requires >= 1.3, however, it will fail if set this way due to the
  ##  way our Dockerfile is configured to `terraform init` without re-setting the version.
  ##  So, we lie here.
  required_version = ">= 1.1.9"

  required_providers {
    aws = {
      source  = "hashicorp/aws"
      version = "4.67.0"
    }
  }

  backend "s3" {
    encrypt = true
  }
}